Subject: Re: bug#35536: 27.0.50; Expose buffer's marker list to Elisp

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 16 Sep 2019 23:07:34 +0200

Richard Stallman <[email-masked]> writes:

> I'm still opposed to making the internal list of markers accessible at all.
> Markers can disappear from that list due to GC.
>
> The only reason for having that list is so we can relocate the
> markers.  It is not an interface that naturally should exist.
>
> What exactly do people want to do with this list?
> Let's look for another way.

I think the "rough consensus" here (i.e., Eli and Richard) is that we
don't really want to expose the marker list.  (This was also discussed
in a different context a couple of weeks ago, and the conclusion was the
same there.)

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no